> ## Documentation Index
> Fetch the complete documentation index at: https://v3.captaindata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Users



## OpenAPI

````yaml get /v3/users
openapi: 3.0.2
info:
  title: Captain Data's Public API
  description: Captain Data's API v3
  version: 3.0.0
servers: []
security:
  - APIKeyHeader: []
    ProjectIdHeader: []
tags:
  - name: Workspace
    description: Endpoints related to workspace management
  - name: Users
    description: Endpoints related to users management
  - name: Integrations
    description: Endpoints related to integration accounts management
  - name: Workflows
    description: Endpoints related to running Workflows
  - name: Runs
    description: Endpoints related to fetching Run's Results & details
  - name: Inputs
    description: Endpoints related to fetching Run's Inputs
  - name: Webhooks
    description: Endpoints related to Webhooks management
paths:
  /v3/users:
    get:
      tags:
        - Users
      summary: List all Users
      operationId: v3_list_users
      parameters:
        - required: false
          schema:
            title: Role
            type: string
          name: role
          description: >-
            To search for specific users by role: 'user', 'external', 'admin',
            and 'owner'.
          in: query
        - required: false
          schema:
            title: Search Term
            type: string
          name: search_term
          description: >-
            A string used to specify the keyword or phrase to search for within
            the Users, like an email or a User's name.
          in: query
        - required: false
          schema:
            title: Retrieve Accounts
            type: boolean
            default: true
          name: retrieve_accounts
          description: >-
            Setting this to TRUE will retrieve the Accounts data, but please
            note it may take longer to compute.
          in: query
        - required: false
          schema:
            title: Page
            type: integer
            default: 0
          name: page
          description: To iterate through the list of Users.
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsersList'
      security:
        - APIKeyHeader: []
          ProjectIdHeader: []
components:
  schemas:
    UsersList:
      type: object
      properties:
        users:
          type: array
          items:
            $ref: '#/components/schemas/User'
          description: A list of users.
        nbr_users:
          type: integer
          example: 37
          description: The total number of users.
        limit:
          type: integer
          example: 30
          description: The number of users per page.
        pages:
          type: integer
          example: 2
          description: The total number of pages available.
        paging:
          $ref: '#/components/schemas/UsersPaging'
      required:
        - users
        - nbr_users
        - limit
        - pages
    User:
      type: object
      properties:
        uid:
          type: string
          example: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
          description: Unique identifier for the user.
        email:
          type: string
          format: email
          example: guillaume@captaindata.co
          description: The email address of the user.
        first_name:
          type: string
          example: Guillaume
          description: The first name of the user.
        last_name:
          type: string
          example: Odier
          description: The last name of the user.
        full_name:
          type: string
          example: Guillaume Odier
          description: The full name of the user.
        country:
          type: string
          example: fr
          description: The country code of the user.
        project_uid:
          type: string
          example: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
          description: The UID of the project the user is associated with.
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/AccountLight'
          description: A list of connected accounts for the user.
      required:
        - uid
        - email
        - full_name
        - project_uid
    UsersPaging:
      type: object
      properties:
        previous:
          type: string
          format: uri
          example: null
          description: The URL for the previous page, if available.
        next:
          type: string
          format: uri
          example: https://api.captaindata.co/v3/users?page=1
          description: The URL for the next page, if available.
      required:
        - previous
        - next
    AccountLight:
      type: object
      properties:
        uid:
          type: string
          example: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
          description: Unique identifier for the account.
        application_permalink:
          type: string
          example: linkedin
          description: The application associated with this account.
      required:
        - uid
        - application_permalink
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Authorization header must include 'x-api-key' followed by your API
        key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
    ProjectIdHeader:
      type: apiKey
      in: header
      name: x-project-id
      description: Workspace UID required to identify the workspace.

````